<?php
class leatherhouse_import_dummy_data {

	private static $instance;

	public static function init() {
		if ( ! isset( self::$instance ) && ! ( self::$instance instanceof leatherhouse_import_dummy_data ) ) {
			self::$instance = new leatherhouse_import_dummy_data();
			self::$instance->leatherhouse_setup_actions();
		}

	}

	/**
	 * Setup the class props based on the config array.
	 */


	/**
	 * Setup the actions used for this class.
	 */
	public function leatherhouse_setup_actions() {

		// Enqueue scripts.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'leatherhouse_import_customize_scripts' ), 0 );

	}



	public function leatherhouse_import_customize_scripts() {

		wp_enqueue_script( 'leatherhouse-import-customizer-js', get_template_directory_uri() . '/assets/js/leatherhouse-import-customizer.js', array( 'customize-controls' ) );
	}
}

$leatherhouse_import_customizers = array(

	'import_data' => array(
		'recommended' => true,

	),
);
leatherhouse_import_dummy_data::init( apply_filters( 'leatherhouse_import_customizer', $leatherhouse_import_customizers ) );
